%define upstream_name Canary-Stability
%define upstream_version 2006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Canary to check perl compatibility for schmorp's modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Canary/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module is used by Schmorp's modules during configuration stage to
test the installed perl for compatibility with his modules.

It's not, at this stage, meant as a tool for other module authors,
although in principle nothing prevents them from subscribing to the same
ideas.

See the Makefile.PL in Coro or AnyEvent for usage examples.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2006.0.0-3.mga6
+ Revision: 1022831
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2006.0.0-2.mga6
+ Revision: 968603
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 2006.0.0-1.mga6
+ Revision: 853696
- update to 2006

* Thu Jun 25 2015 sander85 <sander85> 2001.0.0-1.mga6
+ Revision: 842731
- imported package perl-Canary-Stability

